## r-cran-nfactors 2.3.3.1

=== DESCRIPTION ===
Package: nFactors
Type: Package
Title: Parallel Analysis and Non Graphical Solutions to the Cattell
        Scree Test
Version: 2.3.3.1
Date: 2010-04-10
Encoding: latin1
Author: Gilles Raiche (Universite du Quebec a Montreal) and David Magis (Universite de Liege)
Maintainer: Gilles Raiche <raiche.gilles@uqam.ca>
Depends: R (>= 2.9.2), MASS, psych, boot, lattice
Suggests: xtable
Description: Indices, heuristics and strategies to help determine the number of factors/components to retain:
                1. Acceleration factor (af with or without Parallel Analysis);
                2. Optimal Coordinates (noc with or without Parallel Analysis);
                3. Parallel analysis (components, factors and bootstrap);
                4. lambda > mean(lambda) (Kaiser, CFA and related);
                5. Cattell-Nelson-Gorsuch (CNG);
                6. Zoski and Jurs multiple regression (b, t and p);
                7. Zoski and Jurs standard error of the regression coeffcient (sescree);
                8. Nelson R2;
                9. Bartlett khi-2;
               10. Anderson khi-2;
               11. Lawley khi-2 and
               12. Bentler-Yuan khi-2.
License: GPL (>= 2)
Packaged: 2019-08-31 09:43:37 UTC; hornik
Repository: CRAN
Date/Publication: 2019-08-31 10:11:55 UTC
NeedsCompilation: no

## r-cran-nfactors 2.3.3

=== debian/changelog ===
r-cran-nfactors (2.3.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joost van Baal-Ilić <joostvb+debian@uvt.nl>  Tue, 19 Jan 2016 13:42:12 +0000

r-cran-nfactors (2.3.3-1) unstable; urgency=low

  * Private release, for Tilburg University.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 19 Jan 2016 09:49:33 +0100

=== debian/control ===
Source: r-cran-nfactors
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/nFactors/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-nfactors.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-nfactors.git

Package: r-cran-nfactors
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}
Description: GNU R package for Parallel Analysis and Non Graphical Solutions to the Cattell Scree Test -- nFactors
 This package supplies Parallel Analysis and Non Graphical Solutions to the
 Cattell Scree Test for R.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/nfactors_([-\d\.]*)\.tar.gz

## r-cran-nfactors 2.3.3.1

=== debian/changelog ===
r-cran-nfactors (2.3.3.1-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 15:28:19 +0100

r-cran-nfactors (2.3.3.1-1) unstable; urgency=low

  * Initial release (closes: #813815)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 12:07:33 +0200

=== debian/control ===
Source: r-cran-nfactors
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-cran-psych,
               r-cran-boot,
               r-cran-lattice
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nfactors
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nfactors.git
Homepage: https://cran.r-project.org/package=nFactors

Package: r-cran-nfactors
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R analysis and solutions to the Cattell Scree test
 This GNU R package provides parallel analysis and non graphical
 solutions to the Cattell Scree Test.
 .
 Indices, heuristics and strategies to help determine the number of
 factors/components to retain:
   1. Acceleration factor (af with or without Parallel Analysis);
   2. Optimal Coordinates (noc with or without Parallel Analysis);
   3. Parallel analysis (components, factors and bootstrap);
   4. lambda > mean(lambda) (Kaiser, CFA and related);
   5. Cattell-Nelson-Gorsuch (CNG);
   6. Zoski and Jurs multiple regression (b, t and p);
   7. Zoski and Jurs standard error of the regression coeffcient (sescree);
   8. Nelson R2;
   9. Bartlett khi-2;
  10. Anderson khi-2;
  11. Lawley khi-2 and
  12. Bentler-Yuan khi-2.

## r-cran-nfactors 2.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Package: nFactors
 Type: Package
-Title: Parallel Analysis and Non Graphical Solutions to the Cattell
-        Scree Test
-Version: 2.3.3.1
-Date: 2010-04-10
-Encoding: latin1
+Title: Parallel Analysis and Other Non Graphical Solutions to the
+        Cattell Scree Test
+Version: 2.4.1
+Date: 2020-03-27
 Author: Gilles Raiche (Universite du Quebec a Montreal) and David Magis (Universite de Liege)
 Maintainer: Gilles Raiche <raiche.gilles@uqam.ca>
-Depends: R (>= 2.9.2), MASS, psych, boot, lattice
-Suggests: xtable
 Description: Indices, heuristics and strategies to help determine the number of factors/components to retain:
                 1. Acceleration factor (af with or without Parallel Analysis);
                 2. Optimal Coordinates (noc with or without Parallel Analysis);
@@ -22,8 +19,14 @@
                10. Anderson khi-2;
                11. Lawley khi-2 and
                12. Bentler-Yuan khi-2.
-License: GPL (>= 2)
-Packaged: 2019-08-31 09:43:37 UTC; hornik
+License: GPL (>= 3.5.0)
+Encoding: UTF-8
+LazyData: true
+Depends: R (>= 3.5.0), lattice
+Imports: stats, MASS, psych
+RoxygenNote: 6.1.1
+Suggests: testthat
+NeedsCompilation: no
+Packaged: 2020-03-27 21:00:05 UTC; Gilles
 Repository: CRAN
-Date/Publication: 2019-08-31 10:11:55 UTC
-NeedsCompilation: no
+Date/Publication: 2020-03-28 05:50:06 UTC

=== debian/changelog ===
r-cran-nfactors (2.4.1-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:27:42 +0000

r-cran-nfactors (2.4.1-2) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 22:20:19 +0200

r-cran-nfactors (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 05 Apr 2020 16:06:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
+               r-cran-lattice,
                r-cran-mass,
-               r-cran-psych,
-               r-cran-boot,
-               r-cran-lattice
+               r-cran-psych
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nfactors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nfactors.git
 Homepage: https://cran.r-project.org/package=nFactors
+Rules-Requires-Root: no
 
 Package: r-cran-nfactors
 Architecture: all

## r-cran-nfactors 2.4.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Parallel Analysis and Other Non Graphical Solutions to the
         Cattell Scree Test
-Version: 2.4.1
+Version: 2.4.1.1
 Date: 2020-03-27
 Author: Gilles Raiche (Universite du Quebec a Montreal) and David Magis (Universite de Liege)
 Maintainer: Gilles Raiche <raiche.gilles@uqam.ca>
@@ -27,6 +27,6 @@
 RoxygenNote: 6.1.1
 Suggests: testthat
 NeedsCompilation: no
-Packaged: 2020-03-27 21:00:05 UTC; Gilles
+Packaged: 2022-10-10 11:47:48 UTC; hornik
 Repository: CRAN
-Date/Publication: 2020-03-28 05:50:06 UTC
+Date/Publication: 2022-10-10 12:20:07 UTC

=== debian/changelog ===
r-cran-nfactors (2.4.1.1-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/control: remove my name from Uploaders.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 20 Apr 2024 14:12:42 +0000

r-cran-nfactors (2.4.1.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.4.1.1
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Nilesh Patra <nilesh@debian.org>  Sat, 15 Oct 2022 14:33:40 +0530

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: r-cran-nfactors
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Joost van Baal-Ilić <joostvb@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Andreas Tille <tille@debian.org>
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nfactors
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nfactors.git
+Homepage: https://cran.r-project.org/package=nFactors
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-lattice,
                r-cran-mass,
                r-cran-psych
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nfactors
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nfactors.git
-Homepage: https://cran.r-project.org/package=nFactors
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-nfactors
 Architecture: all

## r-cran-nfactors 2.4.1.2

=== DESCRIPTION ===
Package: nFactors
Type: Package
Title: Parallel Analysis and Other Non Graphical Solutions to the
        Cattell Scree Test
Version: 2.4.1.2
Date: 2025-05-29
Authors@R: c(
    person(
      given="Gilles", family="Raiche",
      comment="Universite du Quebec a Montreal",
      email = "raiche.gilles@uqam.ca",
      role = c("aut", "cre", "cph")
    ),
    person(given="David", family="Magis", role = c("aut"))
  )
Description: Indices, heuristics, simulations and strategies to help determine the number of factors/components to retain in exploratory factor 
       analysis and principal component analysis.
License: GPL-3
Encoding: UTF-8
Language: en-US
LazyData: true
Depends: R (>= 3.5.0)
Imports: stats, MASS, psych, lattice
RoxygenNote: 7.3.2
Suggests: testthat
NeedsCompilation: no
Packaged: 2025-06-07 20:09:23 UTC; raich
Author: Gilles Raiche [aut, cre, cph] (Universite du Quebec a Montreal),
  David Magis [aut]
Maintainer: Gilles Raiche <raiche.gilles@uqam.ca>
Repository: CRAN
Date/Publication: 2025-06-19 19:10:02 UTC

=== debian/changelog ===
r-cran-nfactors (2.4.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 16:33:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: r-cran-nfactors
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-mass,
+               r-cran-psych,
+               r-cran-lattice,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nfactors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nfactors.git
 Homepage: https://cran.r-project.org/package=nFactors
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-lattice,
-               r-cran-mass,
-               r-cran-psych
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-nfactors
 Architecture: all
